Skip to main content
GET
/
api
/
merchants
/
list
List merchants
curl --request GET \
  --url https://app.herondata.io/api/merchants/list \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "name": "<string>",
      "url": "<string>",
      "aliases": "<string>",
      "categories": [
        {
          "code": "7311",
          "description": "Advertising services",
          "slug": "advertising_services"
        }
      ],
      "created": "2023-11-07T05:31:56Z",
      "debt_merchant_aliases": "<string>",
      "heron_id": "mrc_5GTddoLSXVyUWPUcaXSTwx",
      "icon_url": "<string>",
      "id": 123,
      "is_deleted": true,
      "is_priority": true,
      "logo_url": "<string>",
      "use_name_as_alias": true
    }
  ],
  "has_more": true,
  "limit": 123,
  "offset": 123,
  "total": 123
}

Authorizations

x-api-key
string
header
required

Query Parameters

name
string

Filter merchants by name (full or partial match)

group_id
string

Filter merchants by group ID

limit
integer
default:50

Number of merchants to return per page

Required range: 1 <= x <= 200
offset
integer
default:0

Number of merchants to skip

Required range: x >= 0

Response

200 - application/json

List of merchants with pagination metadata

data
object[]
has_more
boolean
limit
integer
offset
integer
total
integer